> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get claim tokens data

> This endpoint returns the data required to claim or redeem tokens for the Arbitrum Bridge (ETH ↔ Arbitrum). It is used after a successful source-chain transaction to prepare the on-chain call on the destination network.



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json get /api/utility/claim
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/utility/claim:
    get:
      tags:
        - Utility
      summary: Get claim tokens data
      description: >-
        This endpoint returns the data required to claim or redeem tokens for
        the Arbitrum Bridge (ETH ↔ Arbitrum). It is used after a successful
        source-chain transaction to prepare the on-chain call on the destination
        network.
      operationId: UtilsController_claimTokens
      parameters:
        - name: fromBlockchain
          required: true
          in: query
          schema:
            enum:
              - ARBITRUM
              - ETH
            type: string
        - name: sourceTransactionHash
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionDto'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionDto'
components:
  schemas:
    TransactionDto:
      type: object
      properties:
        approvalAddress:
          type: string
          description: Gateway address to approve erc20 token
        permit2Address:
          type: string
          description: ''
        data:
          type: string
          description: Data to execute
        to:
          type: string
          description: Contract to call
        value:
          type: string
          description: ''
        depositAddress:
          type: string
          description: Address to deposit funds to
        amountToSend:
          type: string
          description: Token amount to send to deposit address
        extraFields:
          type: object
          description: Extra fields to perform the transaction
        exchangeId:
          type: string
          description: ''
        tonMessages:
          description: Messages array for tonConnectUI.sendTransaction() call
          type: array
          items:
            $ref: '#/components/schemas/TonEncodedConfigDto'
        psbt:
          type: string
          description: Unsigned psbt bitcoin transaction
        signInputs:
          description: Indexes of inputs which user have to sign
          type: array
          items:
            type: number
        feeLimit:
          type: number
          description: Fee limit for tron blockchain
        callValue:
          type: string
          description: Native token value for tron blockchain
        signature:
          type: string
          description: Function signature of tron transaction
        arguments:
          description: ''
          type: array
          items:
            type: string
        rawParameter:
          type: string
          description: Encoded tron transaction arguments
        transaction:
          type: string
          description: Fee limit for tron blockchain
    TonEncodedConfigDto:
      type: object
      properties:
        address:
          type: string
          description: >-
            In default transfer - it's a receiverWalletAddress to send funds. In
            tx using contracts - it's a jettonWalletAddress (like ERC-20, but in
            TON)
        amount:
          type: string
          description: >-
            Amount to send tx in nanotons. In default trasfer - it's a
            transfered value + gasFee. 

            In tx using contracts - it's static gasFee, by default
            toNano(0.05).toString()
        payload:
          type: string
          description: Data for contract.
        stateInit:
          type: string
      required:
        - address
        - amount

````